require("guiLib/buttonControl")

howToPlayNs = howToPlayNs or {}

howToPlayNs.marginLeftRight = 25

-- Create screen
howToPlayNs.screen = CreateScreen("creditScreen", ScreenConfig(screenSize))

-- Back to menu
howToPlayNs.screen:RegisterButtonEvent(function() myChangeScreen(mainMenuScreen, true, "slide2"); end, "Escape", true)

function howToPlayNs.makeTextCenter(textObj, yPos)
	local txtSize = textObj:GetTextSize()
	
	textObj:SetPosition(Vector2D((screenSize.x - txtSize.x) / 2, yPos))
	
	return txtSize
end

function howToPlayNs.addTitle(label, yPos)
	yPos = yPos + 10 -- Margin top
	
	local tmp = howToPlayNs.creditGrp:CreateText("titleText", label, 40, Color(255, 255, 255), Vector2D(0, 0))
	tmp:SetMaxWidth(screenSize.x / 2)
	tmp:SetBold(true)
	tmp:SetFont(fontFixedsys)
	tmp:SetUnderligned(true)
	
	local txtSize = howToPlayNs.makeTextCenter(tmp, yPos)
	
	yPos = yPos + txtSize.y + 10 -- Margin bottom
	
	return yPos
end

function howToPlayNs.addSubTitle(label, yPos)
	yPos = yPos + 5 -- Margin top
	
	--local tmp = howToPlayNs.creditGrp:CreateText("simpleText", label, 30, Color(255, 255, 255), Vector2D(howToPlayNs.marginLeftRight, yPos))
	local tmp = howToPlayNs.creditGrp:CreateText("simpleText", label, 33, Color(255, 255, 255), Vector2D(0, 0))
	tmp:SetFont(fontFixedsys)
	tmp:SetUnderligned(true)
	tmp:SetMaxWidth(screenSize.x - howToPlayNs.marginLeftRight * 2)
	
	local txtSize = howToPlayNs.makeTextCenter(tmp, yPos)
	
	yPos = yPos + txtSize.y + 2 -- Margin bottom
	
	return yPos
end

function howToPlayNs.addParagraph(label, yPos)
	yPos = yPos + 1 -- Margin top
	
	--local tmp = howToPlayNs.creditGrp:CreateText("simpleText", label, 30, Color(255, 255, 255), Vector2D(howToPlayNs.marginLeftRight, yPos))
	local tmp = howToPlayNs.creditGrp:CreateText("simpleText", label, 28, Color(255, 255, 255), Vector2D(0, 0))
	tmp:SetFont(fontFixedsys)
	tmp:SetMaxWidth(screenSize.x - howToPlayNs.marginLeftRight * 2)
	
	local txtSize = tmp:GetTextSize()
	tmp:SetPosition(Vector2D(howToPlayNs.marginLeftRight, yPos))
	
	yPos = yPos + txtSize.y + 2 -- Margin bottom
	
	return yPos
end

-- info
function howToPlayNs.createInfo()
	-- Load
	howToPlayNs.data = {}
	
	-- Objs
	howToPlayNs.destroyInfo()
	
	howToPlayNs.creditGrp = howToPlayNs.screen:CreateGroup("creditGrp")
	
	local parentGrp  = howToPlayNs.creditGrp
	
	local yPos = 0
	
	-- Back
	local tmp = parentGrp:CreateSprite("back", mainMenuBackTex, Vector2D(0, 0))
	tmp:SetZpos(-1000)
	
	-- Bt
	btSize = texMenuBtNormal:GetSize()
	howToPlayNs.myBtCreate(howToPlayNs.creditGrp, "Retour", screenSize - btSize - Vector2D(20, 20), btSize, function() myChangeScreen(mainMenuScreen, true, "slide2"); end)
	
		-- But
	yPos = howToPlayNs.addTitle(_("The goal"), yPos)
	yPos = howToPlayNs.addParagraph(_("This game is made for two players. You are a super demining team. The goal is to bring the bomb that the players transport to the exit of the building.\nThe bomb is launched between the players to progress in the levels (warning, if the bomb hits a wall, you have to restart the level !)."), yPos)
	yPos = howToPlayNs.addParagraph(_("The two players go throw the level by exchanging their roles. Each player chose a character and keeps its control during the game. The players exchange the mouse (which need to be put between the two players) when they exchange their roles."), yPos)
	
		-- Control
	yPos = howToPlayNs.addTitle(_("Control"), yPos)
	yPos = howToPlayNs.addSubTitle(_("Carrier of the bomb (you are still)"), yPos)
	yPos = howToPlayNs.addParagraph(_("Camera mode: you can move the camera which is on your side of the screen thanks to your keys (by default the directional keys / QZDS, and left click to go to launch mode)."), yPos)
	yPos = howToPlayNs.addParagraph(_("Launch mode: You can change the fire angle and the fire force by moving the mouse. The left click enables you to launch the bomb and pressing one of your keys (by default the directional keys / QZDS) switch to camera mode."), yPos)
	yPos = howToPlayNs.addParagraph(_("In order to play in the best conditions, it is recommended to use two mice / a mouse and a touchpad. If you don't have two mice, you can aim with the keyboard (This option has to be enabled in the \"Options\" => \"Control\" menu)"), yPos)
	

	yPos = howToPlayNs.addSubTitle(_("hands free"), yPos)
	yPos = howToPlayNs.addParagraph(_("You can move in the level using your keys (by default the directional keys / QZD)"), yPos)
	yPos = howToPlayNs.addParagraph(_("You can activate the buttons and timers using the action key (by default down arrow / S)"), yPos)
end

function howToPlayNs.destroyInfo()
	if howToPlayNs.creditGrp ~= nil then
		howToPlayNs.creditGrp:Destroy()
		howToPlayNs.creditGrp = nil
	end
	
	howToPlayNs.data = nil
end

function howToPlayNs.myBtCreate(parentGrp, title, pos, btSize, fn)
	local bt = parentGrp:CreateGroup("bt")
	buttonControlCreate(bt, title, btSize)
	buttonSetEventFunction(bt, fn)
	buttonSetFont(bt, 34, Color(255, 255, 255), fontFixedsys)
	buttonSetImagePack(bt, texMenuBtNormal, texMenuBtOver, texMenuBtPressed)
	bt:SetPosition(pos)
end
