------------------------------------------------------------
-- Level 05
------------------------------------------------------------

function initCurrentLevelData()
	levelData = {}
	levelData["back"] = loadTexture("levels/level05.png")
	levelData["removable1"] = loadTexture("removable1.png")
	
	-- background sky
	levelData["backgroundSky"] = loadTexture("sky_pixels.png")
end

function createCurrentLevel(levelGrp)
	-- Back
	local tmp = levelGrp:CreateSprite("backImg")
	tmp:SetImage(levelData["back"])
	tmp:SetZpos(-1000)
	
	-- Sky
	setSkyTexture(levelData["backgroundSky"])

	-- Décors de base (11)
	createWall(levelGrp, Vector2D(31, 407 ), Vector2D(1033, 28 ))
	createWall(levelGrp, Vector2D(59, 280 ), Vector2D(86, 28 ))
	createWall(levelGrp, Vector2D(31, 26 ), Vector2D(28, 410 ))
	createWall(levelGrp, Vector2D(31, 26 ), Vector2D(850, 28 ))
	createWall(levelGrp, Vector2D(853, 54 ), Vector2D(28, 134 ))	
	createWall(levelGrp, Vector2D(853, 236 ), Vector2D(28, 85 ))	
	createWall(levelGrp, Vector2D(783, 153 ), Vector2D(70, 28 ))	
	createWall(levelGrp, Vector2D(783, 280 ), Vector2D(70, 28 ))	
	createWall(levelGrp, Vector2D(881, 243 ), Vector2D(30, 28 ))
	createWall(levelGrp, Vector2D(998, 243 ), Vector2D(66, 28 ))	
	createWall(levelGrp, Vector2D(1036, 271 ), Vector2D(28, 136 ))	
	createWall(levelGrp, Vector2D(59, 153 ), Vector2D(86, 28 ))
	createWall(levelGrp, Vector2D(59, 280 ), Vector2D(86, 28 ))
	createWall(levelGrp, Vector2D(359, 153 ), Vector2D(200, 28 ))
	createWall(levelGrp, Vector2D(359, 280 ), Vector2D(210, 28 ))
	createWall(levelGrp, Vector2D(440, 247 ), Vector2D(28, 71 ))
	createWall(levelGrp, Vector2D(440, 181 ), Vector2D(28, 33 ))
	createWall(levelGrp, Vector2D(440, 54 ), Vector2D(28, 9 ))
	--Murs pour bloquer bombe hors niveau
	createWall(levelGrp, Vector2D(1063, 26 ), Vector2D(16, 217 ))
	createWall(levelGrp, Vector2D(881, 9 ), Vector2D(198, 17 ))
	
	--Surfaces perméables perso (5)
	local ph = createWall(levelGrp, Vector2D(145, 153 ), Vector2D(214, 28 ))
	wallEnablePlayerPass(ph, true)
	local ph = createWall(levelGrp, Vector2D(440, 63 ), Vector2D(28, 90 ))
	wallEnablePlayerPass(ph, true)	
	local ph = createWall(levelGrp, Vector2D(559, 153 ), Vector2D(224, 28 ))
	wallEnablePlayerPass(ph, true)	
	local ph = createWall(levelGrp, Vector2D(569, 280 ), Vector2D(214, 28 ))
	wallEnablePlayerPass(ph, true)	
	local ph = createWall(levelGrp, Vector2D(440, 318 ), Vector2D(27, 89 ))
	wallEnablePlayerPass(ph, true)	
	
	--Surfaces perméables bombe (3)
	local ph = createWall(levelGrp, Vector2D(440, 214 ), Vector2D(28, 33 ))
	wallEnableBombePass(ph, true)	
	local ph = createWall(levelGrp, Vector2D(145, 280 ), Vector2D(214, 28 ))
	wallEnableBombePass(ph, true)	
	local ph = createWall(levelGrp, Vector2D(853, 188 ), Vector2D(28, 48 ))
	wallEnableBombePass(ph, true)	
	local ph = createWall(levelGrp, Vector2D(911, 243 ), Vector2D(87, 28 ))
	wallEnableBombePass(ph, true)
	
	--Interrupteur, timer et porte
	local timer = createTimerButton(levelGrp, Vector2D(100, 95), 10, nil)
	local button = createOnOffButton(levelGrp, Vector2D(900, 326), nil)
	local door = doorCreate(levelGrp, Vector2D(853, 321), Vector2D(28, 86))
	createDoorButton(door, timer, false)
	createDoorButton(door, button, false)
	
	--Messages
	createMessageZone(levelGrp, Vector2D(77, 389), Vector2D(60, 18), _("Level 5 - Dealing with permeable surfaces"))
	
	--Checkpoint Zone
	createCheckpointZone(levelGrp, Vector2D(380, 54), Vector2D(16, 99))
	createCheckpointZone(levelGrp, Vector2D(810, 181), Vector2D(16, 98))
	
	--Fin de niveau
	createExitZone(levelGrp, Vector2D(883, 276), Vector2D(150, 130)) 
	
	-- Players
	local player1 = initPlayer(1, levelGrp, userCfg.keyConf.player1Keys, Vector2D(106, 406 - playerSize.y))
	playerSetMode(player1, "move")

	local player2 = initPlayer(2, levelGrp, userCfg.keyConf.player2Keys, Vector2D(76, 406 - playerSize.y))
	playerSetMode(player2, "throw")
end
