------------------------------------------------------------
-- Level A
------------------------------------------------------------

function initCurrentLevelData()
	levelData = {}
	levelData["back"] = loadTexture("levels/levelA.png")
	levelData["removable2"] = loadTexture("removable2.png")
	
	-- background sky
	levelData["backgroundSky"] = loadTexture("sky_pixels.png")
	levelData["tree"] = loadTexture("objs/tree.png")
	levelData["tree_red"] = loadTexture("objs/tree_red.png")
	levelData["checkpoint"] = loadTexture("objs/checkpoint.png")
	levelData["warning"] = loadTexture("objs/warning.png")
	levelData["pilier2"] = loadTexture("objs/pilier2.png")
	levelData["pilier1"] = loadTexture("objs/pilier1.png")
end

function createCurrentLevel(levelGrp)
	-- Back
	local tmp = levelGrp:CreateSprite("backImg")
	tmp:SetImage(levelData["back"])
	tmp:SetZpos(-1000)
	
	-- Sky
	setSkyTexture(levelData["backgroundSky"])

	-- Décor de base
	createWall(levelGrp, Vector2D(9, 12), Vector2D(1830, 34))
	createWall(levelGrp, Vector2D(9, 12), Vector2D(33, 955))
	createWall(levelGrp, Vector2D(42, 884), Vector2D(55, 83))
	createWall(levelGrp, Vector2D(97, 939) , Vector2D(1742, 28))
	createWall(levelGrp, Vector2D(1806, 46) , Vector2D(33, 893))
	createWall(levelGrp, Vector2D(1054, 884) , Vector2D(59, 55))
	createWall(levelGrp, Vector2D(42, 314) , Vector2D(122, 22))
	createWall(levelGrp, Vector2D(42, 627) , Vector2D(44, 44))
	createWall(levelGrp, Vector2D(271, 337) , Vector2D(83, 211))
	createWall(levelGrp, Vector2D(227, 404) , Vector2D(44, 144))
	createWall(levelGrp, Vector2D(189, 437) , Vector2D(38, 111))
	createWall(levelGrp, Vector2D(144, 481) , Vector2D(45, 67)) 
	createWall(levelGrp, Vector2D(361, 314) , Vector2D(94, 22))
	createWall(levelGrp, Vector2D(294, 705) , Vector2D(60, 111))
	createWall(levelGrp, Vector2D(154, 750) , Vector2D(140, 66))
	createWall(levelGrp, Vector2D(701, 314) , Vector2D(66, 22))
	createWall(levelGrp, Vector2D(902, 314) , Vector2D(44, 22))
	createWall(levelGrp, Vector2D(1080, 314) , Vector2D(100, 189))
	createWall(levelGrp, Vector2D(1293, 314) , Vector2D(513, 22))
	createWall(levelGrp, Vector2D(1516, 336) , Vector2D(21, 23))
	createWall(levelGrp, Vector2D(1293, 314) , Vector2D(21, 234))
	createWall(levelGrp, Vector2D(1314, 526) , Vector2D(301, 22))
	createWall(levelGrp, Vector2D(1728, 549) , Vector2D(78, 22))
	createWall(levelGrp, Vector2D(1293, 727) , Vector2D(513, 33))
	createWall(levelGrp, Vector2D(1293, 760) , Vector2D(21, 28))
	
	-- Murs laissant passer la bombe
	local ph = createWall(levelGrp, Vector2D(325, 548), Vector2D(30, 157))
	wallEnableBombePass(ph, true)
	
	
	-- Murs laissant passer les gens
	local ph = createWall(levelGrp, Vector2D(354, 727), Vector2D(939, 34))
	wallEnablePlayerPass(ph, true)
	
	local ph = createWall(levelGrp, Vector2D(354, 515), Vector2D(939, 34))
	wallEnablePlayerPass(ph, true)
	
	-- Portes && Button
	local button = createOnOffButton(levelGrp, Vector2D(100, 224), nil)
	local door = doorCreate(levelGrp, Vector2D(1516, 359), Vector2D(21, 167))
	createDoorButton(door, button, false)
	
	local button = createOnOffButton(levelGrp, Vector2D(1406, 437), nil)
	local door = doorCreate(levelGrp, Vector2D(1293, 788), Vector2D(21, 151))
	createDoorButton(door, button, false)
	
	-- Surfaces amovibles
	local timer = createTimerButton(levelGrp, Vector2D(1078, 790), 4, nil)
	local area1 = createRemovableArea(levelGrp, Vector2D(1154, 789), Vector2D(90, 27), levelData["removable2"], Vector2D(0, 0))
	createRemovableAreaButton({area1}, timer, false)
	
	local timer = createTimerButton(levelGrp, Vector2D(1516, 634), 4, nil)
	local area1 = createRemovableArea(levelGrp, Vector2D(1686, 636), Vector2D(90, 27), levelData["removable2"], Vector2D(0, 0))
	createRemovableAreaButton({area1}, timer, false)
	
	-- Piques
	createHurtZone(levelGrp, Vector2D(504, 909 ), Vector2D(50, 27 ))
	createHurtZone(levelGrp, Vector2D(674, 909 ), Vector2D(50, 27 ))
	createHurtZone(levelGrp, Vector2D(1673, 697 ), Vector2D(50, 27 ))
	
	-- Checkpoint
	createCheckpointZone(levelGrp, Vector2D(372, 214), Vector2D(74, 96))
	
	createCheckpointZone(levelGrp, Vector2D(1365, 632), Vector2D(74, 96))
	
	-- Player
	local player1 = initPlayer(1, levelGrp, userCfg.keyConf.player1Keys, Vector2D(1521, 314 - playerSize.y))
	playerSetMode(player1, "move")
	
	-- Player
	local player2 = initPlayer(2, levelGrp, userCfg.keyConf.player2Keys, Vector2D(1621, 314 - playerSize.y))
	playerSetMode(player2, "throw")
	
	-- Message
	createMessageZone(levelGrp, Vector2D(56, 779), Vector2D(84, 112), _("Oh, an invisible block ! At least, we see the walls..."))
	-- "Tiens, un bloc invisible ! Enfin, le principal c'est qu'on voie les murs...")
	
	-- Fun
	createSimpleImage(levelGrp, levelData["checkpoint"], Vector2D(372, 214), nil, true)
	createSimpleImage(levelGrp, levelData["checkpoint"], Vector2D(1365, 632), nil, true)
	
	createSimpleImage(levelGrp, levelData["tree"], Vector2D(866, 746), nil, true)
	createSimpleImage(levelGrp, levelData["tree_red"], Vector2D(1345, 122), nil, true)
	
	createSimpleImage(levelGrp, levelData["warning"], Vector2D(1111, 208), nil, true)
	createSimpleImage(levelGrp, levelData["warning"], Vector2D(412, 834), nil, true)
	
	createSimpleImage(levelGrp, levelData["pilier2"], Vector2D(1371, 762), nil, true)
	createSimpleImage(levelGrp, levelData["pilier2"], Vector2D(1503, 762), nil, true)

	
	
	-- Exit zone
	createExitZone(levelGrp, Vector2D(1622, 814), Vector2D(120, 124))
	
	
end
