------------------------------------------------------------
-- Level 1
------------------------------------------------------------

function initCurrentLevelData()
	levelData = {}
	levelData["back"] = loadTexture("levels/levelC.png")
	levelData["removable2"] = loadTexture("removableC.png")
	
	-- background sky
	levelData["backgroundSky"] = loadTexture("sky_pixels.png")
	levelData["tree"] = loadTexture("objs/tree.png")
	levelData["checkpoint"] = loadTexture("objs/checkpoint.png")
	levelData["pilier2"] = loadTexture("objs/pilier2.png")
	levelData["warning"] = loadTexture("objs/warning.png")
end

function createCurrentLevel(levelGrp)
	-- Back
	local tmp = levelGrp:CreateSprite("backImg")
	tmp:SetImage(levelData["back"])
	tmp:SetZpos(-1000)
	
	-- Sky
	setSkyTexture(levelData["backgroundSky"])

	-- Décor de base
	createWall(levelGrp, Vector2D(761, 45), Vector2D(380, 38))
	createWall(levelGrp, Vector2D(1100, 83), Vector2D(41, 512))
	createWall(levelGrp, Vector2D(930, 565), Vector2D(170, 30))
	createWall(levelGrp, Vector2D(910, 315), Vector2D(190, 36))
	createWall(levelGrp, Vector2D(761, 83), Vector2D(42, 268))	
	createWall(levelGrp, Vector2D(51, 329), Vector2D(710, 23))
	createWall(levelGrp, Vector2D(49, 352), Vector2D(31, 1492))
	createWall(levelGrp, Vector2D(80, 714), Vector2D(530, 31))
	createWall(levelGrp, Vector2D(230, 565), Vector2D(561, 31))
	createWall(levelGrp, Vector2D(760, 595), Vector2D(30, 570))
	createWall(levelGrp, Vector2D(790, 715), Vector2D(60, 30))
	createWall(levelGrp, Vector2D(220, 865), Vector2D(540, 30))
	createWall(levelGrp, Vector2D(79, 1015), Vector2D(501, 30))
	createWall(levelGrp, Vector2D(787, 864), Vector2D(94, 31))
	createWall(levelGrp, Vector2D(790, 1015), Vector2D(120, 31))
	createWall(levelGrp, Vector2D(980, 715), Vector2D(191, 31))
	createWall(levelGrp, Vector2D(1100, 745), Vector2D(31, 300))
	createWall(levelGrp, Vector2D(989, 864), Vector2D(111, 32))
	createWall(levelGrp, Vector2D(1009, 1015), Vector2D(91, 30))
	createWall(levelGrp, Vector2D(1141, 484), Vector2D(354, 32))
	createWall(levelGrp, Vector2D(1460, 516), Vector2D(34, 109))
	createWall(levelGrp, Vector2D(1251, 715), Vector2D(49, 32))
	createWall(levelGrp, Vector2D(1460, 868), Vector2D(170, 177))
	createWall(levelGrp, Vector2D(1460, 885), Vector2D(35, 183))
	createWall(levelGrp, Vector2D(1390, 715), Vector2D(71, 30))
	createWall(levelGrp, Vector2D(1629, 1015), Vector2D(81, 30))
	createWall(levelGrp, Vector2D(1595, 685), Vector2D(36, 183))
	createWall(levelGrp, Vector2D(1630, 764), Vector2D(61, 31))
	createWall(levelGrp, Vector2D(1595, 595), Vector2D(85, 30))
	createWall(levelGrp, Vector2D(1595, 44), Vector2D(36, 550))
	createWall(levelGrp, Vector2D(1850, 515), Vector2D(30, 649))
	createWall(levelGrp, Vector2D(1800, 855), Vector2D(51, 30))
	createWall(levelGrp, Vector2D(1880, 745), Vector2D(80, 20))
	createWall(levelGrp, Vector2D(1800, 655), Vector2D(50, 30))
	createWall(levelGrp, Vector2D(1800, 485), Vector2D(200, 30))
	createWall(levelGrp, Vector2D(1891, 355), Vector2D(129, 20))
	createWall(levelGrp, Vector2D(1980, 215), Vector2D(150, 21))
	createWall(levelGrp, Vector2D(2319, 85), Vector2D(21, 280))
	createWall(levelGrp, Vector2D(2140, 485), Vector2D(200, 30))
	createWall(levelGrp, Vector2D(1630, 45), Vector2D(927, 40))
	createWall(levelGrp, Vector2D(2529, 87), Vector2D(29, 510))
	createWall(levelGrp, Vector2D(2309, 515), Vector2D(31, 250))
	createWall(levelGrp, Vector2D(2341, 594), Vector2D(88, 31))
	createWall(levelGrp, Vector2D(2000, 885), Vector2D(529, 31))
	createWall(levelGrp, Vector2D(2060, 915), Vector2D(30, 131))
	createWall(levelGrp, Vector2D(2530, 596), Vector2D(520, 320))
	createWall(levelGrp, Vector2D(2540, 915), Vector2D(511, 129))
	createWall(levelGrp, Vector2D(3000, 1045), Vector2D(50, 801))
	createWall(levelGrp, Vector2D(2880, 1484), Vector2D(121, 361))
	createWall(levelGrp, Vector2D(2760, 1604), Vector2D(120, 241))
	createWall(levelGrp, Vector2D(2760, 1165), Vector2D(119, 201))
	createWall(levelGrp, Vector2D(79, 1165), Vector2D(2681, 151))
	createWall(levelGrp, Vector2D(79, 1315), Vector2D(961, 301))
	createWall(levelGrp, Vector2D(279, 1616), Vector2D(211, 80))
	createWall(levelGrp, Vector2D(79, 1814), Vector2D(1881, 31))
	createWall(levelGrp, Vector2D(1959, 1315), Vector2D(681, 290))
	createWall(levelGrp, Vector2D(2640, 1317), Vector2D(119, 169))
	createWall(levelGrp, Vector2D(1960, 1724), Vector2D(801, 122))
	
	-- Murs invisibles
	createWall(levelGrp, Vector2D(1819, 1695), Vector2D(58, 120))
	createWall(levelGrp, Vector2D(1705, 1723), Vector2D(27, 93))
	createWall(levelGrp, Vector2D(1489, 1735), Vector2D(135, 80))
	createWall(levelGrp, Vector2D(1888, 1579), Vector2D(72, 14))
	createWall(levelGrp, Vector2D(1380, 1471), Vector2D(423, 20))
	createWall(levelGrp, Vector2D(1605, 1492), Vector2D(23, 125))
	createWall(levelGrp, Vector2D(1387, 1593), Vector2D(218, 24))
	createWall(levelGrp, Vector2D(1386, 1615), Vector2D(21, 192))
	createWall(levelGrp, Vector2D(1253, 1705), Vector2D(133, 111))
	createWall(levelGrp, Vector2D(1019, 1614), Vector2D(22, 106))
	createWall(levelGrp, Vector2D(803, 1760), Vector2D(115, 55))
	createWall(levelGrp, Vector2D(683, 1615), Vector2D(22, 106))
	
	
	-- Murs laissant passer la bombe
	local ph = createWall(levelGrp, Vector2D(1460, 625), Vector2D(35, 60))
	wallEnableBombePass(ph, true)

	local ph = createWall(levelGrp, Vector2D(1595, 625), Vector2D(35, 60))
	wallEnableBombePass(ph, true)	
	
	local ph = createWall(levelGrp, Vector2D(2000, 485), Vector2D(140, 30))
	wallEnableBombePass(ph, true)
	
	-- Murs laissant passer les gens
	
	local ph = createWall(levelGrp, Vector2D(1262, 599), Vector2D(31, 118))
	wallEnablePlayerPass(ph, true)
	
	
	-- Portes && Button
	local button = createOnOffButton(levelGrp, Vector2D(147, 1075), nil)
	local door = doorCreate(levelGrp, Vector2D(1460, 1045), Vector2D(30, 120))
	createDoorButton(door, button, false)
	
	local button = createTimerButton(levelGrp, Vector2D(1607, 1073), 2, nil)
	local door = doorCreate(levelGrp, Vector2D(1680, 1045), Vector2D(30, 120))
	createDoorButton(door, button, false)
	
	local button = createTimerButton(levelGrp, Vector2D(2049, 126), 6, nil)
	local door = doorCreate(levelGrp, Vector2D(2320, 365), Vector2D(20, 120))
	createDoorButton(door, button, false)
	
	local button = createTimerButton(levelGrp, Vector2D(1911, 655), 120, nil)
	local door = doorCreate(levelGrp, Vector2D(2060, 1045), Vector2D(30, 120))
	createDoorButton(door, button, false)
	
	local button = createTimerButton(levelGrp, Vector2D(1442, 1724), 600, nil)
	local door = doorCreate(levelGrp, Vector2D(467, 1695), Vector2D(22, 120))
	createDoorButton(door, button, false)
	
	local button = createTimerButton(levelGrp, Vector2D(1554, 1511), 200, nil)
	local door = doorCreate(levelGrp, Vector2D(279, 1695), Vector2D(22, 120))
	createDoorButton(door, button, false)
	
	-- Surfaces amovibles
	
	local timer = createTimerButton(levelGrp, Vector2D(830, 1075), 240, nil)
	local area1 = createRemovableArea(levelGrp, Vector2D(940, 1133), Vector2D(40, 10), levelData["removable2"], Vector2D(0, 0))
	local area2 = createRemovableArea(levelGrp, Vector2D(970, 910), Vector2D(40, 10), levelData["removable2"], Vector2D(0, 0))
	local area3 = createRemovableArea(levelGrp, Vector2D(926, 735), Vector2D(40, 10), levelData["removable2"], Vector2D(0, 0))
	local area4 = createRemovableArea(levelGrp, Vector2D(1187, 857), Vector2D(40, 10), levelData["removable2"], Vector2D(0, 0))
	local area5 = createRemovableArea(levelGrp, Vector2D(1324, 936), Vector2D(40, 10), levelData["removable2"], Vector2D(0, 0))
	local area6 = createRemovableArea(levelGrp, Vector2D(876, 601), Vector2D(40, 10), levelData["removable2"], Vector2D(0, 0))
	local area7 = createRemovableArea(levelGrp, Vector2D(95, 647), Vector2D(40, 10), levelData["removable2"], Vector2D(0, 0))
	local area8 = createRemovableArea(levelGrp, Vector2D(700, 800), Vector2D(40, 10), levelData["removable2"], Vector2D(0, 0))
	local area9 = createRemovableArea(levelGrp, Vector2D(94, 952), Vector2D(40, 10), levelData["removable2"], Vector2D(0, 0))
	local area10 = createRemovableArea(levelGrp, Vector2D(697, 1085), Vector2D(40, 10), levelData["removable2"], Vector2D(0, 0))
	createRemovableAreaButton({area1,area2,area3,area4,area5,area6,area7,area8,area9,area10}, timer, false)
	
	local timer = createTimerButton(levelGrp, Vector2D(1780, 1075), 60, nil)
	local area11 = createRemovableArea(levelGrp, Vector2D(1727, 1044), Vector2D(40, 10), levelData["removable2"], Vector2D(0, 0))
	local area12 = createRemovableArea(levelGrp, Vector2D(1755, 907), Vector2D(40, 10), levelData["removable2"], Vector2D(0, 0))
	local area13 = createRemovableArea(levelGrp, Vector2D(1748, 664), Vector2D(40, 10), levelData["removable2"], Vector2D(0, 0))
	local area14 = createRemovableArea(levelGrp, Vector2D(1748, 501), Vector2D(40, 10), levelData["removable2"], Vector2D(0, 0))
	local area15 = createRemovableArea(levelGrp, Vector2D(1812, 249), Vector2D(40, 10), levelData["removable2"], Vector2D(0, 0))
	createRemovableAreaButton({area11,area12,area13,area14,area15}, timer, false)
	
	local timer = createTimerButton(levelGrp, Vector2D(2369, 796), 8, nil)
	local area16 = createRemovableArea(levelGrp, Vector2D(2189, 798), Vector2D(40, 10), levelData["removable2"], Vector2D(0, 0))
	local area17 = createRemovableArea(levelGrp, Vector2D(2053, 735), Vector2D(40, 10), levelData["removable2"], Vector2D(0, 0))
	createRemovableAreaButton({area16,area17}, timer, false)
	
	-- Piques
	createHurtZone(levelGrp, Vector2D(1732, 1786 ), Vector2D(87, 31 ))
	createHurtZone(levelGrp, Vector2D(2234, 1134 ), Vector2D(55, 33 ))
	createHurtZone(levelGrp, Vector2D(2391, 1134 ), Vector2D(55, 33 ))	
	
	-- Checkpoint
	createCheckpointZone(levelGrp, Vector2D(314, 1066), Vector2D(88, 89))
	
	createCheckpointZone(levelGrp, Vector2D(991, 616), Vector2D(88, 89))
	
	createCheckpointZone(levelGrp, Vector2D(1635, 912), Vector2D(74, 103))
	
	createCheckpointZone(levelGrp, Vector2D(1901, 256), Vector2D(88, 89))
	
	createCheckpointZone(levelGrp, Vector2D(2153, 1066), Vector2D(88, 89))
	
	createCheckpointZone(levelGrp, Vector2D(2278, 1620), Vector2D(128, 105))
	
	-- Message
	createMessageZone(levelGrp, Vector2D(1978, 1620), Vector2D(128, 105), _("Warning, the walls have been removed !"))
	-- Attention, les murs se sont effacés !
	
	-- Fun
	createSimpleImage(levelGrp, levelData["tree"], Vector2D(904, 380), nil, true)
	createSimpleImage(levelGrp, levelData["tree"], Vector2D(1188, 976), nil, true)
	createSimpleImage(levelGrp, levelData["tree"], Vector2D(2119, 296), nil, true)
	
	createSimpleImage(levelGrp, levelData["checkpoint"], Vector2D(314, 1066), nil, true)
	createSimpleImage(levelGrp, levelData["checkpoint"], Vector2D(991, 616), nil, true)
	createSimpleImage(levelGrp, levelData["checkpoint"], Vector2D(1635, 912), nil, true)
	createSimpleImage(levelGrp, levelData["checkpoint"], Vector2D(1901, 256), nil, true)
	createSimpleImage(levelGrp, levelData["checkpoint"], Vector2D(2153, 1066), nil, true)
	createSimpleImage(levelGrp, levelData["checkpoint"], Vector2D(2278, 1620), nil, true)
	
	createSimpleImage(levelGrp, levelData["pilier2"], Vector2D(1135, 1640), nil, true)
	
	createSimpleImage(levelGrp, levelData["warning"], Vector2D(1890, 1709), nil, true)
	createSimpleImage(levelGrp, levelData["warning"], Vector2D(1956, 1058), nil, true)
	
	
	-- Player
	local player1 = initPlayer(1, levelGrp, userCfg.keyConf.player1Keys, Vector2D(940, 279 - playerSize.y))
	playerSetMode(player1, "move")
	
	-- Player
	local player2 = initPlayer(2, levelGrp, userCfg.keyConf.player2Keys, Vector2D(1033, 279 - playerSize.y))
	playerSetMode(player2, "throw")
	
	-- Exit zone
	createExitZone(levelGrp, Vector2D(116, 1670), Vector2D(139, 145))
	
	
end
