require("guiLib/guiLib")


-- Create screen
menuGraphicOptionScreen = CreateScreen("levelMenuScreen", ScreenConfig(screenSize))

menuGraphicOptionScreen:RegisterButtonEvent(function() myChangeScreen(menuOptionNs.screen, true, "slide2"); end, "Escape", true)


-- Back
local tmp = menuGraphicOptionScreen:CreateSprite("back", mainMenuBackTex, Vector2D(0, 0))
tmp:SetZpos(-1000)
--local tmp = menuGraphicOptionScreen:CreateTexturedArea("back", mainMenuBackTex, Vector2D(0, 0), screenSize)
--tmp:SetTextureSpeed(Vector2D(-20, 20))
--tmp:SetZpos(-1000)

------------------------------------------------------------
-- Create the option window
------------------------------------------------------------

btSize = texMenuBtNormal:GetSize()
btMargin = 15

windowGrp = menuGraphicOptionScreen:CreateGroup("optionsWin")
windowGrp:SetPosition(Vector2D(60, 200))
--windowInit(windowGrp, true)
--windowSetTitle(windowGrp, _("Options"))
--windowHide(windowGrp)

-- Size
--inSize = windowResize(windowGrp, Vector2D(300, 87.2), Vector2D(700, 300), false)

inSize = Vector2D(1480, 500)

-- Content
--windowSetScrollHeight(windowGrp, 0)
--windowScroll(windowGrp, 0)

controlWidth = 300
controlHeight = 30
fontSize = 32
local body = windowGrp

	-- Fullscreen
local label = body:CreateText("label", _("Fullscreen"))
label:SetSize(fontSize)
label:SetFont(fontFixedsys)
label:SetPosition(Vector2D(0, 0 + controlHeight / 2 -label:GetTextSize().y / 2))
	
local control = body:CreateGroup("fullscreenCtrl")
choiceControlCreate(control, controlWidth, fontSize, fontFixedsys)
choiceControlAddStringTbl(control, {_("Yes"), _("No")})
control:SetPosition(Vector2D(inSize.x - controlWidth, 0))

	-- VSync
local label = body:CreateText("label", _("Enable vertical synchronisation"))
label:SetSize(fontSize)
label:SetFont(fontFixedsys)
label:SetPosition(Vector2D(0, 40 + controlHeight / 2 -label:GetTextSize().y / 2))
	
local control = body:CreateGroup("vSyncCtrl")
choiceControlCreate(control, controlWidth, fontSize, fontFixedsys)
choiceControlAddStringTbl(control, {_("Yes"), _("No")})
control:SetPosition(Vector2D(inSize.x - controlWidth, 40))

	-- Resolution
local label = body:CreateText("label", _("Resolution (auto: use the desktop resolution)"))
label:SetSize(fontSize)
label:SetFont(fontFixedsys)
label:SetPosition(Vector2D(0, 80 + controlHeight / 2 -label:GetTextSize().y / 2))
	
local control = body:CreateGroup("resolutionCtrl")
choiceControlCreate(control, controlWidth, fontSize, fontFixedsys)

resolutionTbl = GetAvaibleVideoModes()
for i = 1, #resolutionTbl do
	local str = ""
	if resolutionTbl[i] == Vector2D(-1, -1) then
		str = _("Auto")
	else
		str = tostring(resolutionTbl[i].x) .. "x" .. tostring(resolutionTbl[i].y)
	end
	
	choiceControlAddString(control, str)
end

control:SetPosition(Vector2D(inSize.x - controlWidth, 80))

	-- Anti Aliasing
local label = body:CreateText("label", _("Anti-aliasing level"))
label:SetSize(fontSize)
label:SetFont(fontFixedsys)
label:SetPosition(Vector2D(0, 120 + controlHeight / 2 -label:GetTextSize().y / 2))
	
local control = body:CreateGroup("antialiasingCtrl")
choiceControlCreate(control, controlWidth, fontSize, fontFixedsys)
for i = 0, 8 do	
	choiceControlAddString(control, tostring(i))
end
control:SetPosition(Vector2D(inSize.x - controlWidth, 120))


---- loadConf fn ----
function loadConf(body)
	---- Global ----
	local node = GetConfigManager():GetGlobalConfigNode():AccessNode("graphicConf")
	
	-- Resolution
	local resolution = Vector2D(node:GetNumber("width"), node:GetNumber("height"))
	local resolutionCtrl = body:FindByNameGroup("resolutionCtrl")
	choiceControlChangeId(resolutionCtrl, 1) -- Auto
	for i = 2, #resolutionTbl do
		if resolutionTbl[i] == resolution then
			choiceControlChangeId(resolutionCtrl, i)
			i = #resolutionTbl + 1 -- Stop loop
		end
	end
	
	-- isVsync
	local isVsync = (node:GetNumber("isVsyn") == 1)
	if(isVsync) then
		choiceControlChangeId(body:FindByNameGroup("vSyncCtrl"), 1)
	else
		choiceControlChangeId(body:FindByNameGroup("vSyncCtrl"), 2)
	end
	
	-- isFullscreen
	local isFullscreen = (node:GetNumber("isFullscreen") == 1)
	if(isFullscreen) then
		choiceControlChangeId(body:FindByNameGroup("fullscreenCtrl"), 1)
	else
		choiceControlChangeId(body:FindByNameGroup("fullscreenCtrl"), 2)
	end
	
	-- antialiasingLevel
	local antialiasingLevel = node:GetNumber("antialiasingLevel")
	if(antialiasingLevel >= 0 and antialiasingLevel <= 8) then
		choiceControlChangeId(body:FindByNameGroup("antialiasingCtrl"), antialiasingLevel + 1)
	end
end
loadConf(body)

function saveConf(group)
	local node = GetConfigManager():GetGlobalConfigNode():AccessNode("graphicConf")
	
	-- Resolution
	local resolutionCtrl = body:FindByNameGroup("resolutionCtrl")
	resolution = resolutionTbl[choiceControlGetCurrentId(resolutionCtrl)]
	node:SetValue("width", resolution.x)
	node:SetValue("height", resolution.y)

	-- isVsync
	if choiceControlGetCurrentId(body:FindByNameGroup("vSyncCtrl")) == 1 then
		node:SetValue("isVsyn", 1)
	else
		node:SetValue("isVsyn", 0)
	end
	
	-- isFullscreen
	if choiceControlGetCurrentId(body:FindByNameGroup("fullscreenCtrl")) == 1 then
		node:SetValue("isFullscreen", 1)
	else
		node:SetValue("isFullscreen", 0)
	end

	-- antialiasingLevel
	node:SetValue("antialiasingLevel", choiceControlGetCurrentId(body:FindByNameGroup("antialiasingCtrl")) - 1)
end
saveConf(body)

function loadDefaultConf(group)
	---- Global ----
	-- Resolution
	choiceControlChangeId(body:FindByNameGroup("resolutionCtrl"), 1) -- Auto
	
	-- isVsync
	choiceControlChangeId(body:FindByNameGroup("vSyncCtrl"), 1) -- true
	
	-- isFullscreen
	choiceControlChangeId(body:FindByNameGroup("fullscreenCtrl"), 1) -- true
	
	-- antialiasingLevel
	choiceControlChangeId(body:FindByNameGroup("antialiasingCtrl"), 1) -- 0
end

-- Bts events
function optionOnDefault(bt)
	local body = bt:GetParent()
	loadDefaultConf(body)
end

-- Bts events
function optionOnCancel(bt)
	local body = bt:GetParent()
	loadConf(body)
end

-- Bts events
function optionOnApply(bt)
	local body = bt:GetParent()
	saveConf(body)
	
	RequestRecreateRenderWindow()
end

-- Buttons
local bt = body:CreateGroup("btDefault")
buttonControlCreate(bt, _("Default"), btSize)
buttonSetEventFunction(bt, optionOnDefault)
buttonSetFont(bt, 34, Color(255, 255, 255), fontFixedsys)
buttonSetImagePack(bt, texMenuBtNormal, texMenuBtOver, texMenuBtPressed)
buttonSetClickSound(bt, sndBtClick)
bt:SetPosition(inSize - Vector2D(btSize.x * 3 + btMargin * 2, btSize.y))

local bt = body:CreateGroup("btCancel")
buttonControlCreate(bt, _("Cancel"), btSize)
buttonSetEventFunction(bt, optionOnCancel)
buttonSetFont(bt, 34, Color(255, 255, 255), fontFixedsys)
buttonSetImagePack(bt, texMenuBtNormal, texMenuBtOver, texMenuBtPressed)
buttonSetClickSound(bt, sndBtClick)
bt:SetPosition(inSize - Vector2D(btSize.x * 2 + btMargin, btSize.y))

local bt = body:CreateGroup("btApply")
buttonControlCreate(bt, _("Apply"), btSize)
buttonSetEventFunction(bt, optionOnApply)
buttonSetFont(bt, 34, Color(255, 255, 255), fontFixedsys)
buttonSetImagePack(bt, texMenuBtNormal, texMenuBtOver, texMenuBtPressed)
buttonSetClickSound(bt, sndBtClick)
bt:SetPosition(inSize - Vector2D(btSize.x, btSize.y))


local bt = menuGraphicOptionScreen:CreateGroup("btReturn")
buttonControlCreate(bt, _("Return"), btSize)
buttonSetEventFunction(bt, function() myChangeScreen(menuOptionNs.screen, true, "slide2"); end)
buttonSetFont(bt, 34, Color(255, 255, 255), fontFixedsys)
buttonSetImagePack(bt, texMenuBtNormal, texMenuBtOver, texMenuBtPressed)
bt:SetPosition(screenSize - btSize - Vector2D(10, 10))

